%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-grunt-contrib-nodeunit
Version:    0.4.1
Release:    3%{?dist}
Summary:    Run Nodeunit unit tests with grunt
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-contrib-nodeunit
Source0:    https://github.com/gruntjs/grunt-contrib-nodeunit/archive/v%{version}/grunt-contrib-nodeunit-%{version}.tar.gz
Patch0:     nodejs-grunt-contrib-nodeunit-junit.patch
Patch1:     nodejs-grunt-contrib-nodeunit_fix-operator-test.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-internal)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(tap)
%endif

%description
%{summary}.


%prep
%setup -q -n grunt-contrib-nodeunit-%{version}
%patch0 -p1
%patch1 -p1
#find docs/ -size 0 -delete


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-nodeunit
cp -pr package.json tasks/ \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-nodeunit

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/grunt nodeunit
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc README.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-contrib-nodeunit


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.1-3
- Fix FTBFS for failing test

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 22 2015 Tom Hughes <tom@compton.nu> - 0.4.1-1
- update to 0.4.1 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-2
- update to upstream release 0.3.3

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-1
- update to upstream release 0.3.2
- take Source0 from GitHub as the NPM tarball is missing several useful files
- add missing BuildRequires

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- initial package

